<template>
  <div class="d-flex align-center">
    <h3
      class="primary--text"
      style="margin-left: 56px"
    >
      {{ title }}
    </h3>
    <VDivider class="ml-4" />
    <VBtn
      icon
      small
      @click="left && left()"
    >
      <VIcon>mdi-chevron-left</VIcon>
    </VBtn>
    <VBtn
      icon
      small
      @click="right && right()"
    >
      <VIcon>mdi-chevron-right</VIcon>
    </VBtn>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'nuxt-property-decorator';

@Component
export default class TitleChevron extends Vue {
  @Prop(String)
  readonly title!: string

  @Prop(Function)
  readonly left!: void

  @Prop(Function)
  readonly right!: void
}
</script>
